/* #region @keyframes */
@keyframes slideUp {
	from {
		opacity: 0;
		translate: 0 var(--px32);
	}

	to {
		translate: 0;
		opacity: 1;
	}
}

/* #endregion */
/* #region @prefers-reduced-motion */
@media (prefers-reduced-motion: reduce) {
	*, *::before, *::after {
		animation-delay: 0s !important;
		animation-duration: 0s !important;
		scroll-behavior: auto !important;
		transition-delay: 0s !important;
		transition-duration: 0s !important;
	}
}

/* #endregion */
/* #region Elements */
@view-transition {
	navigation: auto;
}

*, *::before, *::after {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

a {
	color: var(--orange);
	text-decoration: none;
	transition: var(--transition);
}

body {
	background-color: white;
	color: var(--blue);
	font-family: var(--font-sans);
	font-size: var(--fz20);
}

h1, h2 {
	line-height: 1.2;
	text-wrap: balance;
}

hr {
	border: 0;
	border-top: var(--px01) dotted var(--blue30);
	margin: var(--px32) 0;
}

html {
	scroll-behavior: smooth;
	scrollbar-gutter: stable;
}

img {
	display: block;
	max-width: 100%;
}

li {
	font-size: var(--fz18);
	margin-left: var(--px20);
	padding-top: var(--px10);
	text-wrap: pretty;
}

p {
	line-height: 1.5;
	margin-bottom: 1lh;
	text-wrap: pretty;
}

sup {
	font-size: var(--fz18);
}

ul {
	margin-block: var(--px06) var(--px32);
}

/* #endregion */
/* #region Global */
.btn {
	border-radius: var(--radius);
	display: inline-block;
	font-size: var(--fz14);
	font-weight: 700;
	letter-spacing: var(--px01);
	line-height: 1;
	padding: var(--px16) var(--px24);
	text-transform: uppercase;
	transition: var(--transition);

	&:hover {
		text-decoration: none;
	}
}

.content {
	margin-inline: auto;
	width: min(90%, var(--content-max-width, 1200px));
}

.cta {
	background-color: var(--bluelight);
	color: white;
	padding-block: var(--px64);
	text-align: center;

	h2 {
		font-size: var(--fz36);
		font-weight: 700;
		line-height: 1.2;
		margin-bottom: var(--px08);

		@media (width < 500px) {
			margin-inline: auto;
			max-width: 14ch;
		}
	}

	p {
		letter-spacing: var(--px02);
		margin-bottom: var(--px32);
		text-transform: uppercase;

		@media (width < 900px) {
			margin-bottom: var(--px32);
		}
	}

	.btn {
		background-color: var(--orange80);
		border: var(--px02) solid var(--white60);
		color: white;

		&:hover {
			background-color: var(--orange);
			border-color: white;
		}
	}
}

/* #endregion */
/* #region Nav */
.nav {
	justify-self: end;

	@media (width < 900px) {
		justify-self: center;
		text-align: center;
	}

	a {
		border-radius: var(--radius);
		color: var(--blue80);
		display: inline-block;
		font-size: var(--fz16);
		font-weight: 700;
		letter-spacing: var(--px01);
		padding: var(--px10) var(--px20);
		text-transform: uppercase;
		transition: var(--transition);

		@media (width < 900px) {
			border: 0;
			line-height: 1;
		}

		&:hover {
			background-color: var(--orange);
			color: white;
			text-decoration: none;
		}
	}

	&.nav-open {
		@media (width < 900px) {
			max-height: 25rem;
		}
	}
}

.nav-grid {
	align-items: center;
	display: grid;
	grid-column-gap: .3vw;
	grid-template-columns: repeat(6, max-content);

	@media (width < 900px) {
		grid-row-gap: var(--px08);
		grid-template-columns: auto;
		grid-template-rows: auto;
		max-height: 0;
		overflow: hidden;
		transition: max-height .5s;
	}
}

.nav-toggle {
	color: var(--orange);
	display: none;
	font-size: var(--fz24);
	margin: 0 auto;

	@media (width < 900px) {
		display: block;
	}

	&:hover {
		cursor: pointer;
	}
}

/* #endregion */
/* #region Header */
.header {
	background-color: var(--white95);
	box-shadow: 0 var(--px08) var(--px32) var(--px04) hsl(218, 65%, 25%, .2);
	padding: var(--px24) 0;
	position: fixed;
	width: 100%;
	z-index: 10;

	@media (width < 900px) {
		padding: var(--px08);
	}
}

.header-grid {
	display: grid;
	grid-template-columns: auto 1fr;

	@media (width < 900px) {
		grid-template-columns: 1fr;
		justify-content: center;
		justify-items: center;
	}

	.logo {
		img {
			max-width: 300px;
			transition: var(--transition);

			@media (width < 900px) {
				margin-bottom: var(--px08);
				width: 200px;
			}
		}

		&.scrolled img {
			max-width: 150px;
		}
	}
}

/* #endregion */
/* #region Footer */
.footer {
	background: linear-gradient(to bottom, var(--blue), var(--blue80)), url("https://ripcord.sirv.com/EPSPolymer/warehouse.jpg") center top/cover;
	color: white;
	padding-block: var(--px64) 12rem;
	text-align: center;

	a {
		&:hover {
			color: white;
		}
	}
}

/* #endregion */
/* #region Hero */
.hero {
	background: linear-gradient(to bottom, var(--blue80), var(--white60)), url("https://ripcord.sirv.com/EPSPolymer/AdobeStock_298464892.jpeg") center top/cover;
	color: white;
	text-align: center;
}

.hero-container {
	animation: 1s ease-in-out slideUp both;
	padding: 20rem 0 15rem;

	@media (width < 600px) {
		padding-top: var(--px160);
	}

	h1 {
		font-size: var(--fz60);
		margin-bottom: var(--px12);
	}

	h2 {
		font-size: var(--fz28);
		font-weight: 400;
		margin-bottom: var(--px64);
	}

	.btn {
		color: white;

		@media (width < 500px) {
			margin-bottom: var(--px16);
		}
	}

	.btn-products {
		background-color: var(--blue80);

		&:hover {
			background-color: var(--blue);
		}
	}

	.btn-quote {
		background-color: var(--orange80);
		margin-left: var(--px16);

		&:hover {
			background-color: var(--orange);
		}
	}
}

/* #endregion */
/* #region Home-Intro */
.home-intro {
	background-color: white;
	padding-block: var(--px80);

	a {
		&:hover {
			text-decoration: underline;
		}
	}

	h2 {
		font-size: var(--fz36);
		font-weight: 700;
		line-height: 1.2;
		margin-bottom: var(--px32);
	}
}

/* #endregion */
/* #region Home-Logo */
.home-logo-grid {
	--columns: 6;
	align-items: center;
	display: grid;
	grid-gap: var(--px16) var(--px48);
	grid-template-columns: repeat(var(--columns), auto);
	padding-top: var(--px96);

	@media (width < 900px) {
		--columns: 4;
	}

	@media (width < 600px) {
		--columns: 3;
	}

	@media (width < 400px) {
		--columns: 2;
	}
}

/* #endregion */
/* #region Sub */
.sub {
	background: white;
	padding: 12rem 0 var(--px96);

	a {
		&:hover {
			text-decoration: underline;
		}
	}

	h1 {
		font-size: var(--fz32);
		font-weight: 700;
		margin-bottom: var(--px28);
		text-transform: uppercase;
	}
}

/* #endregion */
/* #region Sub-Company */
.sub-company-grid {
	display: grid;
	gap: var(--px32) 5vw;
	grid-template-columns: repeat(3, 1fr);

	@media (width < 1200px) {
		grid-template-columns: auto;
	}

	a {
		display: block;
		margin-bottom: var(--px16);
		width: max-content;
	}

	h2 {
		font-size: var(--fz24);
	}

	p {
		margin-bottom: 0;
	}

	.role {
		font-weight: 500;
		margin-bottom: var(--px04);
	}
}

/* #endregion */
/* #region Sub-Contact */
.sub-contact-grid {
	display: grid;
	gap: var(--px32) 10vw;
	grid-template-columns: auto 1fr;
	justify-content: start;

	@media (width < 900px) {
		grid-template-columns: auto;
	}
}

/* #endregion */
/* #region Sub-Products */
.sub-products-grid {
	display: grid;
	gap: var(--px16);
	grid-template-columns: repeat(4, 1fr);

	@media (width < 1200px) {
		grid-template-columns: repeat(3, 1fr);
	}

	@media (width < 900px) {
		grid-template-columns: 1fr 1fr;
	}

	@media (width < 600px) {
		grid-template-columns: auto;
	}

	> div {
		background-color: var(--blue10);
		border-radius: var(--radius);
		padding: var(--px24);

		h2 {
			font-size: var(--fz20);
		}

		li:first-of-type {
			margin-top: 0;
		}

		p {
			line-height: 1.3;
			margin-bottom: 0;
		}
	}
}

/* #endregion */